Subject: Re: [RFC] ARM: dts: imx: Fix the AR803X phy-mode

From: Baruch Siach <[email-masked]>
Date: Sat, 30 Mar 2019 22:06:40 +0300

Hi Fabio,

On Sat, Mar 30 2019, Fabio Estevam wrote:
> Commit 6d4cd041f0af ("net: phy: at803x: disable delay only for RGMII mode")
> exposed an issue on imx DTS files using AR8031/AR8035 PHYs.
>
> The end result is that the boards can no longer obtain an IP address
> via UDHCP, for example.
>
> Quoting Andrew Lunn:
>
> "The problem here is, all the DTs were broken since day 0. However,
> because the PHY driver was also broken, nobody noticed and it
> worked. Now that the PHY driver has been fixed, all the bugs in the
> DTs now become an issue"
>
> To fix this problem, the phy-mode property needs to be "rgmii-id",  which
> has the following meaning as per
> Documentation/devicetree/bindings/net/ethernet.txt:
>
> "RGMII with internal RX and TX delays provided by the PHY, the MAC should
> not add the RX or TX delays in this case)"
>
> Tested on imx6-sabresd, imx6sx-sdb and imx7d-pico boards with
> successfully restored networking.
>
> Signed-off-by: Fabio Estevam <[email-masked]>
> ---
> Hi,
>
> Marking it as RFC in the hope of getting some feedback as to how
> to proceed with fixing this regression on 5.1-rc1.
>
> It's not possible to know if there are other imx boards in tree that use
> AR803X, so here is an attempt.
>
> mx6-sabresd, imx6sx-sdb and imx7d-pico have been successfully tested.

The SolidRun SOM is also affected, I believe (imx6qdl-sr-som.dtsi,
AR8035). Would you be able to test it on your side?

Thanks,
baruch

--
     http://baruch.siach.name/blog/                  ~. .~   Tk Open Systems
=}------------------------------------------------ooO--U--Ooo------------{=
   - [email-masked] - tel: +972.52.368.4656, http://www.tkos.co.il -

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel